MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue:

## Public Member Functions
float | ReadCurrent (EAxis axis)
| Returns static input in amperes. Range is from -0.7 to 0.7.
void | WriteCurrent (EAxis axis, float value)
| Sets static input in amperes. Range is from -0.7 to 0.7.
float | ReadAngle (EAxis axis)
| Returns static input in XY coordinates. Range is from -1.0 to 1.0.
void | WriteAngle (EAxis axis, float value)
| Sets static input in XY coordinates. Range is from -1.0 to 1.0.
float | ReadOpticalFeedback (EAxis axis)
| Returns static input in OF. Range differs for each mirror.
void | WriteOpticalFeedback (EAxis axis, float value)
| Sets static input in OF. Range differs for each mirror.
EUnitType | ReadActiveStaticInputType (EAxis axis)
| Returns active static input type. Determined by active control stage system.

## Member Function Documentation

## ◆ ReadActiveStaticInputType()

EUnitType MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue.ReadActiveStaticInputType | ( | EAxis | axis | ) |

Returns active static input type. Determined by active control stage system.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadAngle()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue.ReadAngle | ( | EAxis | axis | ) |

Returns static input in XY coordinates. Range is from -1.0 to 1.0.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadCurrent()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue.ReadCurrent | ( | EAxis | axis | ) |

Returns static input in amperes. Range is from -0.7 to 0.7.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadOpticalFeedback()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue.ReadOpticalFeedback | ( | EAxis | axis | ) |

Returns static input in OF. Range differs for each mirror.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteAngle()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue.WriteAngle | ( | EAxis | axis,
|  | float | value )

Sets static input in XY coordinates. Range is from -1.0 to 1.0.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteCurrent()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue.WriteCurrent | ( | EAxis | axis,
|  | float | value )

Sets static input in amperes. Range is from -0.7 to 0.7.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteOpticalFeedback()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IStaticValue.WriteOpticalFeedback | ( | EAxis | axis,
|  | float | value )

Sets static input in OF. Range differs for each mirror.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/SignalFlowManager/InputStage/IStaticValue.cs